Bug Hunting Session
Bug 57321 - Math OLE cripples in document
Summary: Math OLE cripples in document
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.6.3.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Formula-Editor
  Show dependency treegraph
 
Reported: 2012-11-20 12:12 UTC by dE
Modified: 2018-08-26 14:43 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Here, the hats are cut off. (898 bytes, image/png)
2012-11-20 12:12 UTC, dE
Details
Here, the hats are cut off (898 bytes, image/png)
2013-01-02 07:24 UTC, LeMoyne Castle
Details
Hats are cut off in this test document. See with 3.6.6.2 (11.59 KB, application/vnd.oasis.opendocument.text)
2013-06-14 15:09 UTC, dE
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dE 2012-11-20 12:12:22 UTC
Created attachment 70307 [details]
Here, the hats are cut off.

For e.g. when I insert a math OLE (or make a new one inside the document) with the contents -- 

hat m

The top part of the OLE cuts out.

Attaching screenshot.
Comment 1 LeMoyne Castle 2013-01-02 07:24:48 UTC
Created attachment 72372 [details]
Here, the hats are cut off
Comment 2 dE 2013-02-01 18:23:45 UTC
Ok, finally I found this bug.

There appears to be something wrong with the saving of the document. Olders documents don't show this problem.
Comment 3 bfoman (inactive) 2013-06-12 09:56:50 UTC
Could you attach any example documents to allow others to check on different
system/build?
Comment 4 dE 2013-06-14 15:09:47 UTC
Created attachment 80813 [details]
Hats are cut off in this test document. See with 3.6.6.2
Comment 5 QA Administrators 2014-02-02 02:07:01 UTC
Dear Bug Submitter,

Please read the entire message before proceeding.

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 6 Andras Timar 2014-03-14 07:52:54 UTC
It is still a problem in current master (4.3).
Comment 7 Joel Madero 2015-05-02 15:44:25 UTC Comment hidden (obsolete)
Comment 8 Buovjaga 2015-06-21 13:50:33 UTC
(In reply to dE from comment #4)
> Created attachment 80813 [details]
> Hats are cut off in this test document. See with 3.6.6.2

Yep, j & k have cut off hats.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 9 QA Administrators 2016-09-20 10:11:46 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920